summaryrefslogtreecommitdiffstats
path: root/tests/manytcp.sh
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2009-04-14 13:52:07 +0200
committerRainer Gerhards <rgerhards@adiscon.com>2009-04-14 13:52:07 +0200
commit04272876d12488b2039b28683dc53e1c802d303d (patch)
treee1c1ee2bc7f2bd7268d10cdb580af911152528fb /tests/manytcp.sh
parent7a2dff608d7119accdd6679840987b4fb05f6054 (diff)
downloadrsyslog-04272876d12488b2039b28683dc53e1c802d303d.tar.gz
rsyslog-04272876d12488b2039b28683dc53e1c802d303d.tar.xz
rsyslog-04272876d12488b2039b28683dc53e1c802d303d.zip
implemented $MaxOpenFiles directive and changed testbench
... to utilize it. This work is not yet fully verified to be correct.
Diffstat (limited to 'tests/manytcp.sh')
-rwxr-xr-xtests/manytcp.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/tests/manytcp.sh b/tests/manytcp.sh
index f0a3eb96..d9b2e9a0 100755
--- a/tests/manytcp.sh
+++ b/tests/manytcp.sh
@@ -1,13 +1,18 @@
-rm -f rsyslog.out.log # work file
+rm -f work rsyslog.out.log rsyslog.out.log.save # work files
../tools/rsyslogd -c4 -u2 -n -irsyslog.pid -M../runtime/.libs:../.libs -f$srcdir/testsuites/manytcp.conf &
sleep 1
echo "rsyslogd started with pid " `cat rsyslog.pid`
-./tcpflood 127.0.0.1 13514 1000 20000
-sleep 1
+# the config file specifies exactly 1100 connections
+./tcpflood 127.0.0.1 13514 1000 40000
+if [ "$?" -ne "0" ]; then
+ echo "error during tcpflood! see rsyslog.out.log.save for what was written"
+ cp rsyslog.out.log rsyslog.out.log.save
+fi
+sleep 5 # we need this so that rsyslogd can receive all outstanding messages
kill `cat rsyslog.pid`
rm -f work
sort < rsyslog.out.log > work
-./chkseq work 0 19999
+./chkseq work 0 39999
if [ "$?" -ne "0" ]; then
rm -f work rsyslog.out.log
echo "sequence error detected"